rec {
  default = {
    browser = "zen";
    calculator = "gnome-calculator";
    fileManager = "nautilus";
    imageViewer = "loupe";
    lockScreen = "hyprlock";
    terminal = "kitty";
  };

  dir = {
    home = "/home/${username}";
    pictures = "${dir.home}/Pictures";
  };

  hostname = "nixos";

  keymaps = {
    layout = "gb,no";
    options = "grp:alt_shift_toggle"; # Toggle using ALT + SHIFT
  };

  # Empty matches all
  monitor1 = "DP-1";
  monitor2 = "DP-3";

  username = "martin";

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It's perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.version = "24.11";
}
