# Wallpapers
{ pkgs, ... }:
let
  common = import ../../common.nix;
in
{
  home.packages = with pkgs; [
    hyprpaper
  ];

  services.hyprpaper = {
    enable = true;
    settings =
      let
        wallpaperDir = ../../wallpapers;
        monitor1 = "${wallpaperDir}/nixos_waves.png";
        monitor2 = "${wallpaperDir}/ekg_v2.png";
      in
      {
        ipc = "on";
        splash = false;
        splash_offset = 2.0;

        preload = [
          monitor1
          monitor2
        ];

        wallpaper = [
          "${common.monitor1},${monitor1}"
          "${common.monitor2},${monitor2}"
        ];
      };
  };
}
