{
  pkgs,
  inputs,
  lib,
  ...
}:

{
  imports = [ inputs.spicetify-nix.homeManagerModules.default ];
  programs.spicetify =
    let
      spicePkgs = inputs.spicetify-nix.legacyPackages.${pkgs.system};
      theme = import ../theme.nix;
    in
    {
      enable = true;

      enabledExtensions = with spicePkgs.extensions; [
        adblock
        fullAppDisplay
        hidePodcasts
        shuffle # shuffle+ (special characters are sanitized out of extension names)
      ];
      enabledCustomApps = with spicePkgs.apps; [
        newReleases
        ncsVisualizer
      ];
      enabledSnippets = with spicePkgs.snippets; [
        pointer
      ];

      theme = lib.mkForce spicePkgs.themes.catppuccin;
      colorScheme = lib.mkForce theme.flavor;
    };
}
